Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLEndpointSequence_var Class Reference

`#include <ssl_endpoints.h>`

List of all members.

## Public Methods
| TAO_SSLEndpointSequence_var (void)
| TAO_SSLEndpointSequence_var (TAO_SSLEndpointSequence *)
| TAO_SSLEndpointSequence_var (const TAO_SSLEndpointSequence_var &)
| TAO_SSLEndpointSequence_var (const TAO_SSLEndpointSequence &)
| ~TAO_SSLEndpointSequence_var (void)
TAO_SSLEndpointSequence_var & | operator= (TAO_SSLEndpointSequence *)
TAO_SSLEndpointSequence_var & | operator= (const TAO_SSLEndpointSequence_var &)
TAO_SSLEndpointSequence_var & | operator= (const TAO_SSLEndpointSequence &)
TAO_SSLEndpointSequence * | operator-> (void)
const TAO_SSLEndpointSequence * | operator-> (void) const
| operator const TAO_SSLEndpointSequence & () const
| operator TAO_SSLEndpointSequence & ()
| operator TAO_SSLEndpointSequence & () const
SSLIOP::SSL & | operator[] (CORBA::ULong index)
const TAO_SSLEndpointSequence & | in (void) const
TAO_SSLEndpointSequence & | inout (void)
TAO_SSLEndpointSequence *& | out (void)
TAO_SSLEndpointSequence * | _retn (void)
TAO_SSLEndpointSequence * | ptr (void) const
## Private Attributes
TAO_SSLEndpointSequence * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_SSLEndpointSequence_var::TAO_SSLEndpointSequence_var | ( | void |  | ) |

ACE_INLINE TAO_SSLEndpointSequence_var::TAO_SSLEndpointSequence_var | ( | TAO_SSLEndpointSequence * | p | ) |

TAO_SSLEndpointSequence_var::TAO_SSLEndpointSequence_var | ( | const TAO_SSLEndpointSequence_var & |  | ) |

TAO_SSLEndpointSequence_var::TAO_SSLEndpointSequence_var | ( | const TAO_SSLEndpointSequence & |  | ) |

ACE_INLINE TAO_SSLEndpointSequence_var::~TAO_SSLEndpointSequence_var | ( | void |  | ) |

## Member Function Documentation

TAO_SSLEndpointSequence* TAO_SSLEndpointSequence_var::_retn | ( | void |  | ) |

const TAO_SSLEndpointSequence& TAO_SSLEndpointSequence_var::in | ( | void |  | ) | const

TAO_SSLEndpointSequence& TAO_SSLEndpointSequence_var::inout | ( | void |  | ) |

TAO_SSLEndpointSequence_var::operator const TAO_SSLEndpointSequence & | ( |  | ) | const

TAO_SSLEndpointSequence_var::operator TAO_SSLEndpointSequence & | ( |  | ) | const

TAO_SSLEndpointSequence_var::operator TAO_SSLEndpointSequence & | ( |  | ) |

ACE_INLINE const ::TAO_SSLEndpointSequence * TAO_SSLEndpointSequence_var::operator-> | ( | void |  | ) | const

ACE_INLINE::TAO_SSLEndpointSequence * TAO_SSLEndpointSequence_var::operator-> | ( | void |  | ) |

TAO_SSLEndpointSequence_var& TAO_SSLEndpointSequence_var::operator= | ( | const TAO_SSLEndpointSequence & |  | ) |

TAO_SSLEndpointSequence_var& TAO_SSLEndpointSequence_var::operator= | ( | const TAO_SSLEndpointSequence_var & |  | ) |

ACE_INLINE TAO_SSLEndpointSequence_var & TAO_SSLEndpointSequence_var::operator= | ( | TAO_SSLEndpointSequence * | p | ) |

SSLIOP::SSL& TAO_SSLEndpointSequence_var::operator[] | ( | CORBA::ULong | index | ) |

TAO_SSLEndpointSequence*& TAO_SSLEndpointSequence_var::out | ( | void |  | ) |

TAO_SSLEndpointSequence* TAO_SSLEndpointSequence_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TAO_SSLEndpointSequence* TAO_SSLEndpointSequence_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ssl_endpoints.h
- ssl_endpoints.i